### Method

# FwupdPlugin Device get_counterpart_guids

#### Declaration [src]

    GPtrArray*
    fu_device_get_counterpart_guids (
      FuDevice* self
    )

#### Description [src]

Returns all the counterpart GUIDs.

Available since: | 1.9.21

#### Return value

Returns: | An array of `utf8`
| List of GUIDs.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.